(*******************************************************************************
*                                                                              *
*                             Delphi BasicType                                 *
*                                                                              *
*                     (C)Copyright 2001, Ferns Paanakker.                      *
*                                                                              *
*                                                                              *
*    This program is free software; you can redistribute it and/or modify      *
*    it under the terms of the GNU General Public License as published by      *
*    the Free Software Foundation; either version 2 of the License, or         *
*    (at your option) any later version.                                       *
*                                                                              *
*    This program is distributed in the hope that it will be useful,           *
*    but WITHOUT ANY WARRANTY; without even the implied warranty of            *
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
*    GNU General Public License for more details.                              *
*                                                                              *
*    You should have received a copy of the GNU General Public License         *
*    along with this program; if not, write to the Free Software               *
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
*******************************************************************************)

unit BasicType;

interface

type
  TFieldPosition = record
    X: double;
    Y: double;
  end;
  TObjectPosition = record
    ID: string[5];
    Name: string[30];
    Pos: TFieldPosition;
  end;

  (* Type definitions *)
  TSide = (side_left, side_right, side_none);
  TViewAngle = (va_narrow, va_normal, va_wide, va_illegal);
  TViewQuality = (vq_high, vq_low, vq_illegal);
  TRelSide = (rside_we, rside_them, rside_none);

  TPlayMode = (pm_before_kick_off, pm_kick_off_l, pm_kick_off_r, pm_kick_in_l,
    pm_kick_in_r,
    pm_corner_kick_l, pm_corner_kick_r, pm_goal_kick_l, pm_goal_kick_r,
    pm_free_kick_l,
    pm_free_kick_r, pm_offside_l, pm_offside_r, pm_play_on, pm_play_off,
    pm_quit, pm_illegal,
    pm_halftime, pm_time_up, pm_extend);

  (* nog controleren... *)
  TCheckBall = (in_field, goal_l, goal_r, out_of_field, unknown);

  (* Objects *)

  TPosition = (poLeft, poCenter, poRight, poTop, poBottom);

  TKind = (kBall,
    kGoalOwn, kGoalOpponent, kGoalUnknown,
    kPlayerOwn, kPlayerOpponent, kPlayerUnknown,
    kFlagKnown, kFlagUnknown,
    kLine,
    kGoalLeft, kGoalRight, kPlayerLeft, kPlayerRight);

  TKindSet = set of TKind;

const
  TKindBall = [kBall];
  TKindGoal = [kGoalOwn, kGoalOpponent, kGoalUnknown];
  TKindPlayer = [kPlayerOwn, kPlayerOpponent, kPlayerUnknown];
  TKindFlag = [kFlagKnown, kFlagUnknown];
  TKindLine = [kLine];
  TKindAllVisible = TKindBall + TKindGoal + TKindPlayer + TKindFlag + TKindLine
    + [kGoalLeft] + [kGoalRight] + [kPlayerLeft] + [kPlayerRight];

implementation

end.
